#
# spec file for package rubygem-archive-tar-minitar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-archive-tar-minitar
Version:        0.5.2
Release:        bp156.3.1
%define mod_name archive-tar-minitar
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 1.8.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://rubyforge.org/projects/ruwiki/
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
# MANUAL
Patch0:         bsc_1021740.patch
# /MANUAL
Summary:        Provides POSIX tarchive management from Ruby programs
License:        GPL-2.0+ or Ruby
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Archive::Tar::Minitar is a pure-Ruby library and command-line utility that
provides the ability to deal with POSIX tar(1) archive files. The
implementation is based heavily on Mauricio Ferna'ndez's implementation in
rpa-base, but has been reorganised to promote reuse in other projects.

%prep
%gem_unpack
%patch0 -p1
find -type f -print0 | xargs -0 touch -r %{S:0}
%gem_build

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="ChangeLog README" \
  -f

%gem_packages

%changelog
* Fri Jan 27 2017 jmassaguerpla@suse.com
- fix CVE-2016-10173 (bsc#1021740): rubygem-minitar,
  rubygem-archive-tar-minitar: directory traversal vulnerability
  bsc_1021740.patch: contains the fix
* Mon Oct 13 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Dec  3 2012 cfarrell@suse.com
- license update: GPL-2.0+ or Ruby
  SPDX format
* Thu Jun 10 2010 mrueckert@suse.de
- use rubygems_requires macro
* Sat Aug  8 2009 dmacvicar@novell.com
- initial package for 0.5.2
